﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class movecube : MonoBehaviour
{
    public float speed;
    public float rotationspeed;

    float carfreq = 130.0f;
    float modfreq = 170.0f;
    float index = 3.0f;

    FMsound fms;

    private void Awake()
    {
        fms = GameObject.Find("FMsound").GetComponent<FMsound>();
    }

    // Start is called before the first frame update
    void Start()
    {
        
    }

    // Update is called once per frame
    void Update()
    {
        float moveHorizontal = Input.GetAxis("Horizontal");
        float moveVertical = Input.GetAxis("Vertical");
        Vector3 movement = new Vector3(moveHorizontal, 0.0f, moveVertical);
        transform.Translate(movement * speed * Time.deltaTime);

        float rotateHorizontal = Input.GetAxis("Horizontal Rotate");
        transform.Rotate(0.0f, rotateHorizontal * rotationspeed, 0.0f);

        carfreq += (moveHorizontal * 10.0f);
        if (carfreq < 30.0f) carfreq = 30.0f;
        modfreq += (moveVertical * 10.0f);
        if (modfreq < 30.0f) modfreq = 30.0f;
        index += (rotateHorizontal * 0.1f);

        fms.setFMparams(carfreq, modfreq, index);
    }
}
